Subject: bug#55491: All completion fragments get added to obarray

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 18 May 2022 13:07:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I think it's "always" been like this, so it may be unlikely to be
> changed.  But I have to admit that I have no idea why completion is
> interning stuff.  Does anybody know?  It does seem counter intuitive.

And as you pointed out -- `intern' itself doesn't seem to be actually
called by the completion machinery -- I tested under gdb just to make
sure.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no